#!/usr/bin/python
# coding: UTF-8
# Rec10 TS Recording Tools
# Copyright (C) 2009 Yukikaze
import os
import ConfigParser
path=os.path.dirname(os.path.abspath(__file__))+"/"

def getEncoding():
    """
    エンコードしている数を帰すint型
    """
    return getStatusNum("ts2avi")
def setEncoding(tasknum):
    setData('ts2avi',tasknum)
def getTERecording():
    return getStatusNum('terec')
def getStatusDate():
    f = open(path+'status')
    lines = f.readlines() # 1行毎にファイル終端まで全て読む(改行文字も含まれる)
    f.close()
    return lines
def getStatusNum(datastr):
    ini=ConfigParser.SafeConfigParser()
    ini.read(path+'status')
    t=0
    try:
        t=int(ini.get('tasknum',datastr))
    except:
        ""
    return t
def setTERecording(tasknum):
    setData('terec',tasknum)
def getBSCSRecording():
    return getStatusNum("bscsrec")
def setBSCSRecording(tasknum):
    setData('bscsrec',tasknum)
def setData(datastr,tasknum):
    ini=ConfigParser.SafeConfigParser()
    ini.read(path+'status')
    ini.set('tasknum',datastr,str(tasknum))
    f=open(path+'status','w')
    ini.write(f)
    f.close
    
